Bug 31971 - a11y: wizard has wrong initial focus
a11y: wizard has wrong initial focus
Status: RESOLVED WONTFIX
Product: obsolete
Classification: Unclassified
Component: jarpackager
3.x
Sun Solaris
: P3 (vote)
: 4.x
Assigned To: issues@obsolete
issues@obsolete
: A11Y, FOCUS
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-13 09:24 UTC by ccv
Modified: 2004-08-13 12:11 UTC (History)
5 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ccv 2003-03-13 09:24:02 UTC
To reproduce:
-Open wizard via New/Template/Jar Archives/Jar
Recipe
-Push Next via pressing Enter

On the panel Basic Recipe Properties focus is on
the button Back instead the Recipe Name textfield.
The same problem is for other panels.

release 5 build 030310, jdk 1.4.0
Comment 1 Jan Lahoda 2003-03-19 14:33:44 UTC
Assigning to a11y module for investigation.
Comment 2 Jiri Rechtacek 2003-03-19 16:44:11 UTC
I don't think is a problem in openide/wizards. The panel provided by
jarpackager should listen of focusGained and transfer focus to name's
textfield. It don't seem as showstopper for me, it should be fixed to 4.0.
Comment 3 Jiri Rechtacek 2003-03-19 16:54:26 UTC
Assign back to jarpackager, if a problem persists reassign to
openide/wizards.
Comment 4 Ondrej Rypacek 2003-11-25 10:10:10 UTC
The listener is there, but no focus is ever given to the panel if
using the keyboard. I don't understand the mechanism (if there's any)
of choosing the first focused component. 
Any ideas or tips? Thanks.
Comment 5 Ondrej Rypacek 2003-11-25 15:34:32 UTC
The wizard was "standardized" by prepending the standard
target-location panel to the new-from-template wizard. The focus on
the panel is correct.
Comment 6 ccv 2004-03-09 13:44:24 UTC
It is wrong when focus in on the Back button, focus should be in the
first textfield.
Per the Java Look & Feel Design Guidelines: "When opening a dialog
box, provide initial keyboard focus to the component that you expect
users to operate first. This focus is especially important for users
who must use a keyboard to navigate your application."
Please see http://webwork.sfbay/products/jlf/ed2/book/index.html
See also evaluation for bug 35213 - a11y: wrong initial focus in the
Setup Wizard dialog. 
The same problem exists for 
  New/Other/Text File on the Choose Extention panel
  New/Other/Web Bookmark on the Set Bookmark URL panel
  New/Java Classes/Java Class on the Basic Class Definition panel and
so on.. 
I don't know who is responsible for this wizards. May be the issue has
to be fixed in some common place or in different modules, but this 
bug should be fixed any way.
Comment 7 Jesse Glick 2004-03-19 15:39:21 UTC
jarpackager UI now gone.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo